hmm_s Struct Reference

## Data Fields

hmm_context_t * | ctx
| Shared context data for this HMM. More...
int32 | score [HMM_MAX_NSTATE]
| State scores for emitting states. More...
int32 | history [HMM_MAX_NSTATE]
| History indices for emitting states. More...
int32 | out_score
| Score for non-emitting exit state. More...
int32 | out_history
| History index for non-emitting exit state. More...
uint16 | ssid
| Senone sequence ID (for non-MPX)
uint16 | senid [HMM_MAX_NSTATE]
| Senone IDs (non-MPX) or sequence IDs (MPX)
int32 | bestscore
| Best [emitting] state score in current frame (for pruning). More...
int16 | tmatid
| Transition matrix ID (see hmm_context_t). More...
frame_idx_t | frame
| Frame in which this HMM was last active; <0 if inactive.
uint8 | mpx
| Is this HMM multiplex? (hoisted for speed)
uint8 | n_emit_state
| Number of emitting states (hoisted for speed)

## Detailed Description

Definition at line 170 of file hmm.h.

## Field Documentation

int32 hmm_s::bestscore

Best [emitting] state score in current frame (for pruning).

Definition at line 178 of file hmm.h.

hmm_context_t* hmm_s::ctx

Shared context data for this HMM.

Definition at line 171 of file hmm.h.

int32 hmm_s::history[HMM_MAX_NSTATE]

History indices for emitting states.

Definition at line 173 of file hmm.h.

int32 hmm_s::out_history

History index for non-emitting exit state.

Definition at line 175 of file hmm.h.

int32 hmm_s::out_score

Score for non-emitting exit state.

Definition at line 174 of file hmm.h.

int32 hmm_s::score[HMM_MAX_NSTATE]

State scores for emitting states.

Definition at line 172 of file hmm.h.

int16 hmm_s::tmatid

Transition matrix ID (see hmm_context_t).

Definition at line 179 of file hmm.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/hmm.h